package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.CardMessage;
import com.eactive.eai.transformer.message.Message;

public class CardMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize, boolean useDefault) throws Exception {
        CardMessage message = (CardMessage) layout.getRootItem();
        message = (CardMessage) message.clone();
        message.createObject();
        return message;
    }
}
